Browse Source

Sync with portage [Fri Apr 24 21:34:54 MSK 2020].

tags/1644
root 1 year ago
parent
commit
17417fc0dd
100 changed files with 1262 additions and 304 deletions
  1. BIN
      Manifest.files.gz
  2. BIN
      acct-group/Manifest.gz
  3. +0
    -0
      acct-group/haproxy/Manifest
  4. +8
    -0
      acct-group/haproxy/haproxy-0.ebuild
  5. +8
    -0
      acct-group/haproxy/metadata.xml
  6. BIN
      acct-user/Manifest.gz
  7. +0
    -0
      acct-user/haproxy/Manifest
  8. +11
    -0
      acct-user/haproxy/haproxy-0.ebuild
  9. +8
    -0
      acct-user/haproxy/metadata.xml
  10. BIN
      app-admin/Manifest.gz
  11. +1
    -0
      app-admin/github-backup-utils/Manifest
  12. +52
    -0
      app-admin/github-backup-utils/github-backup-utils-2.20.2.ebuild
  13. +1
    -0
      app-admin/mcelog/Manifest
  14. +58
    -0
      app-admin/mcelog/mcelog-169.ebuild
  15. BIN
      app-arch/Manifest.gz
  16. +20
    -0
      app-arch/rpm2targz/files/rpm2targz-9.0.0.5g-add-zstd-support.patch
  17. +30
    -0
      app-arch/rpm2targz/rpm2targz-9.0.0.5g-r2.ebuild
  18. BIN
      app-emulation/Manifest.gz
  19. +1
    -1
      app-emulation/slirp4netns/Manifest
  20. +1
    -0
      app-emulation/slirp4netns/slirp4netns-1.0.1.ebuild
  21. BIN
      app-misc/Manifest.gz
  22. +1
    -0
      app-misc/cmatrix/Manifest
  23. +46
    -0
      app-misc/cmatrix/cmatrix-2.0.ebuild
  24. +78
    -0
      app-misc/linux-logo/files/linux-logo-5.11-configure.patch
  25. +80
    -0
      app-misc/linux-logo/linux-logo-5.11-r5.ebuild
  26. +1
    -0
      app-misc/tmux/Manifest
  27. +2
    -4
      app-misc/tmux/tmux-2.9a.ebuild
  28. +2
    -4
      app-misc/tmux/tmux-3.0a.ebuild
  29. +88
    -0
      app-misc/tmux/tmux-3.1.ebuild
  30. +2
    -4
      app-misc/tmux/tmux-9999.ebuild
  31. +1
    -1
      app-misc/tmux2html/tmux2html-0.1.11.ebuild
  32. BIN
      app-office/Manifest.gz
  33. +1
    -0
      app-office/calligra/Manifest
  34. +201
    -0
      app-office/calligra/calligra-3.2.0.ebuild
  35. +17
    -0
      app-office/calligra/files/calligra-3.1.89-no-arch-detection.patch
  36. BIN
      app-portage/Manifest.gz
  37. +1
    -0
      app-portage/gentoolkit/Manifest
  38. +73
    -0
      app-portage/gentoolkit/gentoolkit-0.5.0.ebuild
  39. +4
    -5
      app-portage/gentoolkit/gentoolkit-9999.ebuild
  40. BIN
      app-text/Manifest.gz
  41. +7
    -1
      app-text/kjots/kjots-5.0.2-r1.ebuild
  42. BIN
      app-vim/Manifest.gz
  43. +1
    -1
      app-vim/pydiction/pydiction-1.2.3-r2.ebuild
  44. BIN
      dev-lang/Manifest.gz
  45. +9
    -4
      dev-lang/yasm/yasm-1.3.0.ebuild
  46. +37
    -21
      dev-lang/yasm/yasm-9999.ebuild
  47. BIN
      dev-libs/Manifest.gz
  48. +1
    -1
      dev-libs/xapian-bindings/xapian-bindings-1.4.14.ebuild
  49. +1
    -1
      dev-libs/xapian-bindings/xapian-bindings-1.4.15.ebuild
  50. +71
    -0
      dev-perl/AnyEvent/AnyEvent-7.170.0.ebuild
  51. +1
    -0
      dev-perl/AnyEvent/Manifest
  52. BIN
      dev-perl/Manifest.gz
  53. BIN
      dev-python/Manifest.gz
  54. +1
    -4
      dev-python/autobahn/metadata.xml
  55. +1
    -4
      dev-python/cbor/metadata.xml
  56. +1
    -0
      dev-python/configargparse/Manifest
  57. +30
    -0
      dev-python/configargparse/configargparse-1.2.3.ebuild
  58. +1
    -0
      dev-python/elementpath/Manifest
  59. +27
    -0
      dev-python/elementpath/elementpath-1.4.4.ebuild
  60. +2
    -2
      dev-python/flexmock/flexmock-0.10.4.ebuild
  61. +0
    -2
      dev-python/fuse-python/Manifest
  62. +0
    -20
      dev-python/fuse-python/fuse-python-0.2.1-r1.ebuild
  63. +0
    -26
      dev-python/fuse-python/fuse-python-0.3.1.ebuild
  64. +1
    -4
      dev-python/girder-client/metadata.xml
  65. +1
    -0
      dev-python/hypothesis/Manifest
  66. +56
    -0
      dev-python/hypothesis/hypothesis-5.10.4.ebuild
  67. +1
    -4
      dev-python/kazoo/metadata.xml
  68. +1
    -4
      dev-python/libcloud/metadata.xml
  69. +1
    -4
      dev-python/logbook/metadata.xml
  70. +0
    -3
      dev-python/matterhook/metadata.xml
  71. +1
    -1
      dev-python/neovim-remote/neovim-remote-2.2.1.ebuild
  72. +1
    -1
      dev-python/neovim-remote/neovim-remote-9999.ebuild
  73. +1
    -1
      dev-python/paste/paste-3.2.3.ebuild
  74. +1
    -1
      dev-python/pylibacl/pylibacl-0.5.3.ebuild
  75. +1
    -1
      dev-python/pylibacl/pylibacl-0.5.4.ebuild
  76. +1
    -1
      dev-python/pyxattr/pyxattr-0.6.0-r1.ebuild
  77. +1
    -1
      dev-python/pyxattr/pyxattr-0.6.1-r1.ebuild
  78. +1
    -1
      dev-python/pyxattr/pyxattr-0.6.1.ebuild
  79. +1
    -0
      dev-python/ruamel-yaml-clib/Manifest
  80. +20
    -0
      dev-python/ruamel-yaml-clib/metadata.xml
  81. +28
    -0
      dev-python/ruamel-yaml-clib/ruamel-yaml-clib-0.2.0.ebuild
  82. +0
    -1
      dev-python/snakeoil/Manifest
  83. +0
    -36
      dev-python/snakeoil/snakeoil-0.7.5.ebuild
  84. +1
    -1
      dev-python/tappy/tappy-2.4-r1.ebuild
  85. +41
    -33
      dev-python/twisted/twisted-19.10.0.ebuild
  86. BIN
      dev-util/Manifest.gz
  87. +0
    -1
      dev-util/catalyst/Manifest
  88. +0
    -68
      dev-util/catalyst/catalyst-3.0.8.ebuild
  89. +1
    -1
      dev-util/catalyst/catalyst-3.0.9.ebuild
  90. +48
    -15
      dev-util/catalyst/catalyst-9999.ebuild
  91. +0
    -4
      dev-util/pkgcheck/metadata.xml
  92. +7
    -4
      dev-util/pkgcheck/pkgcheck-0.7.6-r1.ebuild
  93. +8
    -5
      dev-util/pkgcheck/pkgcheck-9999.ebuild
  94. BIN
      games-strategy/Manifest.gz
  95. +1
    -1
      games-strategy/settlers-2-gold-data/settlers-2-gold-data-0.ebuild
  96. BIN
      gui-libs/Manifest.gz
  97. +1
    -1
      gui-libs/wlroots/wlroots-0.10.0.ebuild
  98. BIN
      kde-apps/Manifest.gz
  99. +1
    -0
      kde-apps/akonadi-calendar/Manifest
  100. +47
    -0
      kde-apps/akonadi-calendar/akonadi-calendar-20.04.0.ebuild

BIN
Manifest.files.gz View File


BIN
acct-group/Manifest.gz View File


+ 0
- 0
acct-group/haproxy/Manifest View File


+ 8
- 0
acct-group/haproxy/haproxy-0.ebuild View File

@@ -0,0 +1,8 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-group

ACCT_GROUP_ID=188

+ 8
- 0
acct-group/haproxy/metadata.xml View File

@@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>idl0r@gentoo.org</email>
<name>Christian Ruppert</name>
</maintainer>
</pkgmetadata>

BIN
acct-user/Manifest.gz View File


+ 0
- 0
acct-user/haproxy/Manifest View File


+ 11
- 0
acct-user/haproxy/haproxy-0.ebuild View File

@@ -0,0 +1,11 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-user

ACCT_USER_ID=188
ACCT_USER_GROUPS=( "${PN}" )

acct-user_add_deps

+ 8
- 0
acct-user/haproxy/metadata.xml View File

@@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>idl0r@gentoo.org</email>
<name>Christian Ruppert</name>
</maintainer>
</pkgmetadata>

BIN
app-admin/Manifest.gz View File


+ 1
- 0
app-admin/github-backup-utils/Manifest View File

@@ -11,3 +11,4 @@ DIST github-backup-utils-2.16.1.tar.gz 84847 BLAKE2B 5c6c0cbe8268ae1763217395827
DIST github-backup-utils-2.17.0.tar.gz 89926 BLAKE2B 82e89d616f78d630a4c537ad110f1097fd4925f9d0b45ebd117a5f4dbce21ec84bddd1f7a2cfebc52464e8fff9117bd4b0cc5e862e666d4b3d05f11a9b88730d SHA512 aeae5d5f662a687e13ff0aed54801759480ba39e31f0ad49a9ecc4fabad5aa5e124e774c7b939a366a33135e81614d1cee6f1004481bbe94150b48a11f222a90
DIST github-backup-utils-2.18.0.tar.gz 90357 BLAKE2B e9f6c155246914a36d26ec8cddf4a1e9feca73b3450ceb8e6df11df7c077b86f18cfa23b51e77425ba4e28ce4a3664200c1ddb15e6eb856d6b8930379dd3e348 SHA512 1778bf4cf404444e567f9f6b98bcd01bf9880939b4645692d75dbf10e7b31b40678521b66fbdabfedef648561f34709492b7860ce16442757e161db2ffda45a2
DIST github-backup-utils-2.19.1.tar.gz 90260 BLAKE2B 403feca60cc6037a2fbcb4cc467520fb3283916fdc78e16e960656b695e1c55341c55e74fe246c56fbc2cd86a85e33bcede4d94132adaa446ea48ed8f3f75022 SHA512 60155021d23eadc5ab1ddcadf95dbab43f19456c0e7ef34e93c75d173c1279b354c7019b304d72cabcac674edbd0c4a0c4e50c08606a8559ea662858a9cdb206
DIST github-backup-utils-2.20.2.tar.gz 92628 BLAKE2B a6c9fb91b005d20b15ce0b2fc289a145bbfd8316aca4511300cda8a9f1b1e52afb9619a9f467e6e87eec673244776a0bf469d0d4a4c608af0f462eae7a06dc44 SHA512 0d2c56fd2e98c8f858cf3a03e2c2d84c20555716d015cdf1f0a789171cb6ea301050a41d1314a15316258f3f159123ba21526c1fd69cba548e8f259c70a92ab9

+ 52
- 0
app-admin/github-backup-utils/github-backup-utils-2.20.2.ebuild View File

@@ -0,0 +1,52 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

# See https://github.com/github/backup-utils/issues/135
PYTHON_COMPAT=(python2_7)
inherit python-any-r1

DESCRIPTION="Backup and recovery utilities for GitHub Enterprise"
HOMEPAGE="https://github.com/github/backup-utils"
SRC_URI="https://github.com/github/backup-utils/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
RESTRICT="!test? ( test )"

DEPEND="test? (
dev-util/checkbashisms
sys-apps/moreutils
${PYTHON_DEPS}
)"

RDEPEND="net-misc/rsync"

MY_PN="${PN/#github-/}"
S="${WORKDIR}/${MY_PN}-${PV}"

src_compile() {
:;
}

src_install() {
dobin bin/*
insinto usr/share/${PN}
doins share/${PN}/version

exeinto usr/share/${PN}
doexe share/${PN}/bm.sh
doexe share/${PN}/ghe-*

insinto etc/${PN}
newins backup.config-example backup.config

dodoc -r docs/*
}

src_test() {
emake test
}

+ 1
- 0
app-admin/mcelog/Manifest View File

@@ -1 +1,2 @@
DIST mcelog-168.tar.gz 312580 BLAKE2B 1a97869cc183c4263bf9868ccdc24b15658de0e863bd03ecdf61b0c6a03f5737dceec1b5237a8dfdf2f889cab9d55d3b5274bde5533841fc1aa56ed2189f5ffc SHA512 81f4ccb2632e5c34c52aea430a682e44d6b9850fbee2e9180a493025bbea660a7a4eaff3ee1e2f6e3d3700d3c951c09c4534b733cca5c809ad9c5a1ff8b07295
DIST mcelog-169.tar.gz 312584 BLAKE2B 2c24f5db6178d3d3929fe18e8ee130ff827920bff4478cefc244893a68e7ec2e470cb39d1a044009f3c7ac280dbd41088f1716a3db17e23ca4979c554ae39d7a SHA512 df1bf5a3dd2cf4d8fa4fb454f4837841a832beff5c5521db404dbcee600ff7d492853e67323b00aeb3365d6734fa2ea879b13b942e8d431eaff15d31dfb1a1c8

+ 58
- 0
app-admin/mcelog/mcelog-169.ebuild View File

@@ -0,0 +1,58 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit linux-info systemd toolchain-funcs

DESCRIPTION="A tool to log and decode Machine Check Exceptions"
HOMEPAGE="http://mcelog.org/"
SRC_URI="https://github.com/andikleen/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="selinux"

RDEPEND="selinux? ( sec-policy/selinux-mcelog )"

# TODO: add mce-inject to the tree to support test phase
RESTRICT="test"

pkg_pretend() {
if [[ ${MERGE_TYPE} != buildonly ]]; then
local CONFIG_CHECK="~X86_MCE"
kernel_is -ge 4 12 && CONFIG_CHECK+=" ~X86_MCELOG_LEGACY"
check_extra_config
fi
}

src_prepare() {
eapply "${FILESDIR}"/${PN}-0.8_pre1-timestamp-${PN}.patch \
"${FILESDIR}"/${PN}-129-debugflags.patch
eapply_user
tc-export CC
}

src_install() {
default

insinto /etc/cron.daily
newins ${PN}.cron ${PN}

insinto /etc/logrotate.d/
newins ${PN}.logrotate ${PN}

newinitd "${FILESDIR}"/${PN}.init-r1 ${PN}
systemd_dounit "${FILESDIR}"/${PN}.service

dodoc *.pdf
}

pkg_postinst() {
einfo "The default configuration set is now installed in /etc/${PN}"
einfo "you might want to edit those files."
einfo
einfo "A sample cronjob is installed into /etc/cron.daily"
einfo "without executable bit (system service is the preferred method now)"
}

BIN
app-arch/Manifest.gz View File


+ 20
- 0
app-arch/rpm2targz/files/rpm2targz-9.0.0.5g-add-zstd-support.patch View File

@@ -0,0 +1,20 @@
Origin: https://bugs.gentoo.org/719208
Author: Rafał Mużyło

--- a/rpmoffset.c
+++ b/rpmoffset.c
@@ -58,11 +58,13 @@ int is_magic_lzma(const char *buf)
static const unsigned char magic_gzip[] = { '\037', '\213', '\010' };
static const unsigned char magic_bzip2[] = { 'B', 'Z', 'h' };
static const unsigned char magic_xz[] = { 0xFD, '7', 'z', 'X', 'Z', 0x00 };
+static const unsigned char magic_zstd[] = { 0x28, 0xB5, 0x2F, 0xFD };
static const magic_t magics[] = {
#define DECLARE_MAGIC_T(t) { .type = #t, .magic = magic_##t, .len = sizeof(magic_##t), },
DECLARE_MAGIC_T(gzip)
DECLARE_MAGIC_T(bzip2)
DECLARE_MAGIC_T(xz)
+ DECLARE_MAGIC_T(zstd)
#undef DECLARE_MAGIC_T
};
#define MAGIC_SIZE_MIN 3

+ 30
- 0
app-arch/rpm2targz/rpm2targz-9.0.0.5g-r2.ebuild View File

@@ -0,0 +1,30 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"

inherit toolchain-funcs

DESCRIPTION="Convert a .rpm file to a .tar.gz archive"
HOMEPAGE="http://www.slackware.com/config/packages.php"
SRC_URI="mirror://gentoo/${P}.tar.xz"

LICENSE="BSD-1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""

DEPEND=""
RDEPEND="app-arch/cpio
app-arch/zstd"

PATCHES=( "${FILESDIR}"/${PN}-9.0.0.5g-add-zstd-support.patch )

src_compile() {
emake CC="$(tc-getCC)"
}

src_install() {
emake DESTDIR="${D}" install # need explicit install line #397835
dodoc *.README*
}

BIN
app-emulation/Manifest.gz View File


+ 1
- 1
app-emulation/slirp4netns/Manifest View File

@@ -1,2 +1,2 @@
DIST slirp4netns-0.4.3.tar.gz 169895 BLAKE2B a8919ced6d9d68823c79396bc8914d32d157c2da566735a495d68c995c5cfafafba7eb1f761cbe9f82c3291afeae4ac55d00de4c094d5f48e2268d540dfca9e6 SHA512 a3415529486f11cf12c799cabc889dca30fbf64d08818359a285ac67c15fc7926d61105291cd8f2652174747e641e159b5b805a8954fd82f7eb9e35058b23265
DIST slirp4netns-1.0.0.tar.gz 51919 BLAKE2B 9d2d95de80e644981f185a6c243949e55761b25cb908c1ee727f06264d08e794e8228a197e0cc858f81f582d3ddb349c5d6cd2566944c63f41299fb2a5a0d3d2 SHA512 fe0256f0b91647b361999915c6c2b975ee33c437afef3cf490f5e33f582da4db97e360e86654831d7e9b2a8b0d78c91080874a9377247693ac54ffdb60ca6fb9
DIST slirp4netns-1.0.1.tar.gz 51911 BLAKE2B d125dd2c24fd7a817d2b8f16c6bac66399a4a0f37c49d43541f336e7ff09673bca2d6ed2c62cc856034b8e2f6e11ac1ff3753d3546148e68ddf085e8b9aca354 SHA512 4947e32d88c3c8f1b7b2e94a1e73041a48cc8ddf75ffaf691d44cb6ebeaef5cf0b0abb7a8df8919682dfc854a76d73fc5bdebcf01b3ace97be187068d704bf63

app-emulation/slirp4netns/slirp4netns-0.4.3.ebuild → app-emulation/slirp4netns/slirp4netns-1.0.1.ebuild View File

@@ -16,6 +16,7 @@ SLOT="0"
RDEPEND="
dev-libs/glib:2=
dev-libs/libpcre:=
net-libs/libslirp:=
sys-libs/libseccomp:=
sys-libs/libcap:="


BIN
app-misc/Manifest.gz View File


+ 1
- 0
app-misc/cmatrix/Manifest View File

@@ -1 +1,2 @@
DIST cmatrix-1.2a.tar.gz 74376 BLAKE2B 03319cecc8b15c441f36aa6c3267c4c0793855835c374e6fc45be731fd5907333ecf1f179b6761da8499a40bd199afc0c3c018949a325f5ca139c8a09662917f SHA512 a653a840378da87877bda1b48fc4087e7789b548e0f943ae15b81b5dc7a847aed28c69d2ad955bd467f38d6a08b0960349490b61c30260767e7d1560bb542d82
DIST cmatrix-2.0.tar.gz 205640 BLAKE2B 3d38903b93853afc077c00308b84106664ec2ea3a31601ba7ab858f6571158182858de87392b5940725456bdd8c82232228451a4d30813e2c0a8bec99f285814 SHA512 1aeecd8e8abb6f87fc54f88a8c25478f69d42d450af782e73c0fca7f051669a415c0505ca61c904f960b46bbddf98cfb3dd1f9b18917b0b39e95d8c899889530

+ 46
- 0
app-misc/cmatrix/cmatrix-2.0.ebuild View File

@@ -0,0 +1,46 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit cmake font

DESCRIPTION="An ncurses based app to show a scrolling screen from the Matrix"
HOMEPAGE="
https://www.asty.org/cmatrix/
https://github.com/abishekvashok/cmatrix
"
SRC_URI="https://github.com/abishekvashok/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
IUSE="X"

DEPEND="
sys-libs/ncurses:0=
X? ( >=x11-apps/mkfontscale-1.2.0 )
"

RDEPEND="
${DEPEND}
"

src_install() {
cmake_src_install
font_src_install
doman ${PN}.1
}

pkg_postinst() {
if use X; then
if [[ -d "${ROOT}"usr/share/fonts/misc ]] ; then
einfo ">>> Running mkfontdir on ${ROOT}usr/share/fonts/misc"
mkfontdir "${ROOT}"usr/share/fonts/misc
fi
font_pkg_postinst
fi
}

pkg_postrm() {
use X && font_pkg_postrm
}

+ 78
- 0
app-misc/linux-logo/files/linux-logo-5.11-configure.patch View File

@@ -0,0 +1,78 @@
diff -Naur linux_logo-5.11.orig/configure linux_logo-5.11/configure
--- linux_logo-5.11.orig/configure 2010-02-19 23:47:46.000000000 +0100
+++ linux_logo-5.11/configure 2020-04-23 23:35:47.468728737 +0200
@@ -41,31 +41,8 @@
XGETTEXT=xgettext
fi
-which gcc
-GCC_MISSING=$?
-
-if [ $GCC_MISSING -eq 1 ]; then
- which cc
- CC_MISSING=$?
- if [ $CC_MISSING -eq 1 ]; then
- echo "C compiler not found!"
- else
- CC=cc
- fi
-else
- CC=gcc
-fi
-
LIBSYSINFO=libsysinfo-0.2.2
-LDFLAGS=""
-
-if [ $CC = gcc ]; then
- CFLAGS="-Wall -O2"
-else
- CFLAGS="-O2"
-fi
-
$CROSS$CC $CFLAGS -c intl_test.c
INTL_MISSING=$?
diff -Naur linux_logo-5.11.orig/libsysinfo-0.2.2/configure linux_logo-5.11/libsysinfo-0.2.2/configure
--- linux_logo-5.11.orig/libsysinfo-0.2.2/configure 2009-06-05 20:53:44.000000000 +0200
+++ linux_logo-5.11/libsysinfo-0.2.2/configure 2020-04-23 23:39:32.874812532 +0200
@@ -15,39 +15,6 @@
PREFIX=/usr/local
INSTALL=`which install`
-which gcc
-GCC_MISSING=$?
-
-if [ $GCC_MISSING -eq 1 ]; then
- which cc
- CC_MISSING=$?
- if [ $CC_MISSING -eq 1 ]; then
- echo "C compiler not found!"
- else
- CC=cc
- fi
-else
- CC=gcc
-fi
-
-which ar
-AR_MISSING=$?
-
-if [ $AR_MISSING -eq 0 ]; then
- AR=ar
-fi
-
-
-if [ $OS = SunOS ]; then
- AR=/usr/ccs/bin/ar
-fi
-
-if [ $CC = gcc ]; then
- CFLAGS="-Wall -O2"
-else
- CFLAGS="-O2"
-fi
-
LIBSYSINFO_INCLUDE="-I.."
LFLAGS=""

+ 80
- 0
app-misc/linux-logo/linux-logo-5.11-r5.ebuild View File

@@ -0,0 +1,80 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit toolchain-funcs systemd

MY_P=${PN/-/_}-${PV}
DESCRIPTION="A utility that displays an ANSI/ASCII logo and some system information"
HOMEPAGE="http://www.deater.net/weave/vmwprod/linux_logo/"
SRC_URI="http://www.deater.net/weave/vmwprod/linux_logo/${MY_P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="nls"

RDEPEND="nls? ( virtual/libintl )"
DEPEND="${RDEPEND}"
BDEPEND="nls? ( sys-devel/gettext )"

PATCHES=(
"${FILESDIR}"/"${P}"-add-aarch64-support.patch
"${FILESDIR}"/"${P}"-configure.patch
)

DOCS=( BUGS README README.CUSTOM_LOGOS TODO USAGE LINUX_LOGO.FAQ )

S=${WORKDIR}/${MY_P}

src_prepare() {
cp "${FILESDIR}"/logo-config "${S}/logo_config" || die
cp "${FILESDIR}"/linux_logo_creator "${S}/" || die
cp "${FILESDIR}"/linux-logo.service "${S}/" || die
cp "${FILESDIR}"/gentoo-*.logo "${S}"/logos/ || die

# Remove warn_unused_result warning
sed -i -e 's/FILE \*fff;/FILE \*fff;\n char *stemp;/' \
-e 's/fgets/stemp=fgets/' "${S}"/load_logo.c || die
default
}

src_configure() {
ARCH="" CC="$(tc-getCC)" AR="$(tc-getAR)" LDFLAGS="${LDFLAGS}" \
./configure --prefix="${ED}"/usr || die
}

src_install() {
default

dobin "${FILESDIR}"/linux_logo_creator
newinitd "${FILESDIR}"/${PN}.init.d ${PN}
newconfd "${FILESDIR}"/${P}.conf ${PN}

# systemd support
systemd_newunit "${FILESDIR}/linux-logo.service" "linux-logo.service"
}

pkg_postinst() {
echo
elog "Linux_logo ebuild for Gentoo comes with two Gentoo logos."
elog ""
elog "To display the first Gentoo logo type: linux_logo -L gentoo"
elog "To display the second Gentoo logo type: linux_logo -L gentoo-alt"
elog "To display all the logos available type: linux_logo -L list."
elog ""
elog "To start linux_logo on boot, please type:"
elog " rc-update add linux-logo default"
elog "or for systemd"
elog " systemctl enable linux-logo.service"
elog "which uses the settings found in"
elog " /etc/conf.d/linux-logo"
echo
}

pkg_prerm() {
# Restore issue files
mv /etc/issue.linux-logo.backup /etc/issue 2> /dev/null
mv /etc/issue.net.linux-logo.backup /etc/issue.net 2> /dev/null
}

+ 1
- 0
app-misc/tmux/Manifest View File

@@ -1,3 +1,4 @@
DIST tmux-2.9a.tar.gz 510915 BLAKE2B 6a3dcdb66419fdd40818c18c3a16adf83fa67b3f5d4cc60953b64d62d2e3e139cad0612eef4233d3d5fa76aaae93e437c8394aa118791c87cb0670f1ddc65eae SHA512 aca6882688727c10c5647443fdd18bbd6c0f80b7a3bf9667903d1b89d523e604cd715f176f33f2e5673258f00e626a6dc273f80fe97ae4f91621814d89985713
DIST tmux-3.0a.tar.gz 546377 BLAKE2B 1e784d98e1f18e7850e92d8d5f849ee1b8bcbf62b9323b6eb4007e038bd84480b3a171c93c88954701487ef228db8717bac886f51dd21efdf2766e676b0c16e3 SHA512 f326ee9c0e5e9a46ce9c99c76407b8cf35feea5f898c3c937fd8c5e488ff9a809272de19226d9d10f864e11051dcf633327820b7f8d86d85962da61174bbfb0b
DIST tmux-3.1.tar.gz 561086 BLAKE2B 8857a788283cee6ac7a63f3241186ba37092729873f2026686d497be3d66ec9650c54d453d8577c195081c2f6c0434e51af686035fd5397ca84ec830347f4a1a SHA512 32f8bc03ee2071449c106f9c895164e8ffbb9cc720607d90e7ef397374c991c571294a918689bd9017ed7045fcff9e36d45ebb4b7454d93836f85bcc0333462b
DIST tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b 458 BLAKE2B 04143e6d1cfbbd467f1656f949363cb7a4a3e16e9b3cf56b8b0423babe56276abee2622964cb490005fc76d1cbe12201fb1a6446a6f860c2cc1ff3c9bd5fc496 SHA512 fe0aca7d03067af87e0788a2fa902c7ef5500ba72295cb63c5a1814534a008c224256d7f890ac1af6d17f3734b45148765e1632f075e284c453185df2927b979

+ 2
- 4
app-misc/tmux/tmux-2.9a.ebuild View File

@@ -25,10 +25,8 @@ IUSE="debug selinux utempter vim-syntax kernel_FreeBSD kernel_linux"
DEPEND="
dev-libs/libevent:0=
sys-libs/ncurses:0=
utempter? (
kernel_linux? ( sys-libs/libutempter )
kernel_FreeBSD? ( || ( >=sys-freebsd/freebsd-lib-9.0 sys-libs/libutempter ) )
)"
utempter? ( sys-libs/libutempter )
"

BDEPEND="
virtual/pkgconfig"


+ 2
- 4
app-misc/tmux/tmux-3.0a.ebuild View File

@@ -25,10 +25,8 @@ IUSE="debug selinux utempter vim-syntax kernel_FreeBSD kernel_linux"
DEPEND="
dev-libs/libevent:0=
sys-libs/ncurses:0=
utempter? (
kernel_linux? ( sys-libs/libutempter )
kernel_FreeBSD? ( || ( >=sys-freebsd/freebsd-lib-9.0 sys-libs/libutempter ) )
)"
utempter? ( sys-libs/libutempter )
"

BDEPEND="
virtual/pkgconfig


+ 88
- 0
app-misc/tmux/tmux-3.1.ebuild View File

@@ -0,0 +1,88 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit autotools flag-o-matic

DESCRIPTION="Terminal multiplexer"
HOMEPAGE="https://tmux.github.io/"
if [[ "${PV}" == 9999 ]] ; then
inherit git-r3
SRC_URI="https://raw.githubusercontent.com/przepompownia/tmux-bash-completion/678a27616b70c649c6701cae9cd8c92b58cc051b/completions/tmux -> tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b"
EGIT_REPO_URI="https://github.com/tmux/tmux.git"
else
SRC_URI="https://github.com/tmux/tmux/releases/download/$(ver_cut 1-2)/${P/_/-}.tar.gz"
[[ "${PV}" == *_rc* ]] || \
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
S="${WORKDIR}/${P/_/-}"
fi

LICENSE="ISC"
SLOT="0"
IUSE="debug selinux utempter vim-syntax kernel_FreeBSD kernel_linux"

DEPEND="
dev-libs/libevent:0=
sys-libs/ncurses:0=
utempter? ( sys-libs/libutempter )
"

BDEPEND="
virtual/pkgconfig
virtual/yacc
"

RDEPEND="
${DEPEND}
selinux? ( sec-policy/selinux-screen )
vim-syntax? ( app-vim/vim-tmux )"

DOCS=( CHANGES README )

PATCHES=(
"${FILESDIR}/${PN}-2.4-flags.patch"

# upstream fixes (can be removed with next version bump)
)

src_prepare() {
# bug 438558
# 1.7 segfaults when entering copy mode if compiled with -Os
replace-flags -Os -O2

default
eautoreconf
}

src_configure() {
local myeconfargs=(
--sysconfdir="${EPREFIX}"/etc
$(use_enable debug)
$(use_enable utempter)
)
econf "${myeconfargs[@]}"
}

src_install() {
default

einstalldocs

dodoc example_tmux.conf
docompress -x /usr/share/doc/${PF}/example_tmux.conf
}

pkg_postinst() {
if ! ver_test 1.9a -ge ${REPLACING_VERSIONS:-1.9a}; then
echo
ewarn "Some configuration options changed in this release."
ewarn "Please read the CHANGES file in /usr/share/doc/${PF}/"
ewarn
ewarn "WARNING: After updating to ${P} you will _not_ be able to connect to any"
ewarn "older, running tmux server instances. You'll have to use an existing client to"
ewarn "end your old sessions or kill the old server instances. Otherwise you'll have"
ewarn "to temporarily downgrade to access them."
echo
fi
}

+ 2
- 4
app-misc/tmux/tmux-9999.ebuild View File

@@ -25,10 +25,8 @@ IUSE="debug selinux utempter vim-syntax kernel_FreeBSD kernel_linux"
DEPEND="
dev-libs/libevent:0=
sys-libs/ncurses:0=
utempter? (
kernel_linux? ( sys-libs/libutempter )
kernel_FreeBSD? ( || ( >=sys-freebsd/freebsd-lib-9.0 sys-libs/libutempter ) )
)"
utempter? ( sys-libs/libutempter )
"

BDEPEND="
virtual/pkgconfig


+ 1
- 1
app-misc/tmux2html/tmux2html-0.1.11.ebuild View File

@@ -3,7 +3,7 @@

EAPI=7

PYTHON_COMPAT=( python3_6 )
PYTHON_COMPAT=( python{3_6,3_7,3_8} )

inherit distutils-r1



BIN
app-office/Manifest.gz View File


+ 1
- 0
app-office/calligra/Manifest View File

@@ -1 +1,2 @@
DIST calligra-3.1.0.tar.xz 58037392 BLAKE2B b933012fe0031f4d6eac626054e7fb248f85635e5873224328d30f9aed31dce0a0a49f99cf6eea9c232477400af1d16ffc4dae483cdfd5081720434e95684e50 SHA512 ad1b689a5b36deafcf6985d4a0a1e8148d10e19fb4a0be8343c6e1d24146b9a8ffa0890ab5bbb21816b3134d21150b57f6159db1a30cc54c0fde5bf7bdf4537b
DIST calligra-3.2.0.tar.xz 55205468 BLAKE2B 4e59e0e22195894ccd11db4e54841079ec4225ab3e35c166af3bf7a55e96db92a1e9818affa34bc4d99743257569abebc6c14db07dc8e3ac9f62e8e30f944c9e SHA512 625886ae6f0e81eb4c489a9f6bd45b57fdb35fd8131ddf9b59a6fe0a80e338b487f70a90bd28e138281309dbfeb23e49d7ef93856fe1815f4fa16fa37964c013

+ 201
- 0
app-office/calligra/calligra-3.2.0.ebuild View File

@@ -0,0 +1,201 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

CHECKREQS_DISK_BUILD="4G"
ECM_HANDBOOK="forceoptional"
ECM_TEST="forceoptional"
KFMIN=5.60.0
QTMIN=5.12.3
inherit check-reqs ecm kde.org

DESCRIPTION="KDE Office Suite"
HOMEPAGE="https://www.calligra.org/"

if [[ ${KDE_BUILD_TYPE} == release ]]; then
SRC_URI="mirror://kde/stable/${PN}/${PV}/${P}.tar.xz"
KEYWORDS="~amd64 ~x86"
fi

CAL_FTS=( karbon sheets stage words )

LICENSE="GPL-2"
SLOT="5"
IUSE="activities +charts +crypt +fontconfig gemini gsl import-filter +lcms okular openexr
+pdf phonon spacenav +truetype X $(printf 'calligra_features_%s ' ${CAL_FTS[@]})"

# TODO: Not packaged: Cauchy (https://bitbucket.org/cyrille/cauchy)
# Required for the matlab/octave formula tool
BDEPEND="
sys-devel/gettext
"
COMMON_DEPEND="
dev-lang/perl
>=dev-qt/designer-${QTMIN}:5
>=dev-qt/qtdbus-${QTMIN}:5
>=dev-qt/qtdeclarative-${QTMIN}:5
>=dev-qt/qtgui-${QTMIN}:5
>=dev-qt/qtnetwork-${QTMIN}:5
>=dev-qt/qtprintsupport-${QTMIN}:5
>=dev-qt/qtscript-${QTMIN}:5
>=dev-qt/qtsvg-${QTMIN}:5
>=dev-qt/qtwidgets-${QTMIN}:5
>=dev-qt/qtxml-${QTMIN}:5
>=kde-frameworks/karchive-${KFMIN}:5
>=kde-frameworks/kcmutils-${KFMIN}:5
>=kde-frameworks/kcodecs-${KFMIN}:5
>=kde-frameworks/kcompletion-${KFMIN}:5
>=kde-frameworks/kconfig-${KFMIN}:5
>=kde-frameworks/kconfigwidgets-${KFMIN}:5
>=kde-frameworks/kcoreaddons-${KFMIN}:5
>=kde-frameworks/kdelibs4support-${KFMIN}:5
>=kde-frameworks/kemoticons-${KFMIN}:5
>=kde-frameworks/kglobalaccel-${KFMIN}:5
>=kde-frameworks/kguiaddons-${KFMIN}:5
>=kde-frameworks/ki18n-${KFMIN}:5
>=kde-frameworks/kiconthemes-${KFMIN}:5
>=kde-frameworks/kio-${KFMIN}:5
>=kde-frameworks/kitemmodels-${KFMIN}:5
>=kde-frameworks/kitemviews-${KFMIN}:5
>=kde-frameworks/kjobwidgets-${KFMIN}:5
>=kde-frameworks/knotifications-${KFMIN}:5
>=kde-frameworks/knotifyconfig-${KFMIN}:5
>=kde-frameworks/kparts-${KFMIN}:5
>=kde-frameworks/kross-${KFMIN}:5
>=kde-frameworks/ktextwidgets-${KFMIN}:5
>=kde-frameworks/kwallet-${KFMIN}:5
>=kde-frameworks/kwidgetsaddons-${KFMIN}:5
>=kde-frameworks/kwindowsystem-${KFMIN}:5
>=kde-frameworks/kxmlgui-${KFMIN}:5
>=kde-frameworks/sonnet-${KFMIN}:5
sys-libs/zlib
virtual/libiconv
activities? ( >=kde-frameworks/kactivities-${KFMIN}:5 )
charts? ( dev-libs/kdiagram:5 )
crypt? ( app-crypt/qca:2[qt5(+)] )
fontconfig? ( media-libs/fontconfig )
gemini? ( >=dev-qt/qtdeclarative-${QTMIN}:5[widgets] )
gsl? ( sci-libs/gsl )
import-filter? (
app-text/libetonyek
app-text/libodfgen
app-text/libwpd:*
app-text/libwpg:*
>=app-text/libwps-0.4
dev-libs/librevenge
>=kde-frameworks/khtml-${KFMIN}:5
media-libs/libvisio
)
lcms? (
media-libs/ilmbase:=
media-libs/lcms:2
)
openexr? ( media-libs/openexr )
pdf? ( app-text/poppler:=[qt5] )
phonon? ( media-libs/phonon[qt5(+)] )
spacenav? ( dev-libs/libspnav )
truetype? ( media-libs/freetype:2 )
X? (
>=dev-qt/qtx11extras-${QTMIN}:5
x11-libs/libX11
)
calligra_features_sheets? ( dev-cpp/eigen:3 )
calligra_features_stage? ( okular? ( kde-apps/okular:5 ) )
calligra_features_words? (
dev-libs/libxslt
okular? ( kde-apps/okular:5 )
)
"
DEPEND="${COMMON_DEPEND}
dev-libs/boost
test? ( >=kde-frameworks/threadweaver-${KFMIN}:5 )
"
RDEPEND="${COMMON_DEPEND}
calligra_features_karbon? ( media-gfx/pstoedit[plotutils] )
gemini? (
>=dev-qt/qtquickcontrols2-${QTMIN}:5
>=kde-frameworks/kirigami-${KFMIN}:5
)
"
RESTRICT+=" test"

PATCHES=( "${FILESDIR}"/${PN}-3.1.89-no-arch-detection.patch )

pkg_pretend() {
check-reqs_pkg_pretend
}

pkg_setup() {
ecm_pkg_setup
check-reqs_pkg_setup
}

src_prepare() {
ecm_src_prepare

if ! use test; then
sed -e "/add_subdirectory( *benchmarks *)/s/^/#DONT/" \
-i libs/pigment/CMakeLists.txt || die
fi

# Unconditionally disable deprecated deps (required by QtQuick1)
ecm_punt_bogus_dep Qt5 Declarative
ecm_punt_bogus_dep Qt5 OpenGL

# Hack around the excessive use of CMake macros
if use okular && ! use calligra_features_words; then
sed -i -e "/add_subdirectory( *okularodtgenerator *)/ s/^/#DONT/" \
extras/CMakeLists.txt || die "Failed to disable OKULAR_GENERATOR_ODT"
fi

if use okular && ! use calligra_features_stage; then
sed -i -e "/add_subdirectory( *okularodpgenerator *)/ s/^/#DONT/" \
extras/CMakeLists.txt || die "Failed to disable OKULAR_GENERATOR_ODP"
fi
}

src_configure() {
local cal_ft myproducts

# applications
for cal_ft in ${CAL_FTS[@]}; do
use calligra_features_${cal_ft} && myproducts+=( "${cal_ft^^}" )
done

use lcms && myproducts+=( PLUGIN_COLORENGINES )
use spacenav && myproducts+=( PLUGIN_SPACENAVIGATOR )

local mycmakeargs=(
-DPACKAGERS_BUILD=OFF
-DRELEASE_BUILD=ON
-DWITH_Iconv=ON
-DPRODUCTSET="${myproducts[*]}"
$(cmake_use_find_package activities KF5Activities)
$(cmake_use_find_package charts KChart)
-DWITH_Qca-qt5=$(usex crypt)
-DWITH_Fontconfig=$(usex fontconfig)
$(cmake_use_find_package gemini Libgit2)
$(cmake_use_find_package gemini Qt5QuickWidgets)
-DWITH_GSL=$(usex gsl)
-DWITH_LibEtonyek=$(usex import-filter)
-DWITH_LibOdfGen=$(usex import-filter)
-DWITH_LibRevenge=$(usex import-filter)
-DWITH_LibVisio=$(usex import-filter)
-DWITH_LibWpd=$(usex import-filter)
-DWITH_LibWpg=$(usex import-filter)
-DWITH_LibWps=$(usex import-filter)
$(cmake_use_find_package phonon Phonon4Qt5)
-DCMAKE_DISABLE_FIND_PACKAGE_KF5CalendarCore=ON
-DWITH_LCMS2=$(usex lcms)
-DWITH_Okular5=$(usex okular)
-DWITH_OpenEXR=$(usex openexr)
-DWITH_Poppler=$(usex pdf)
-DWITH_Eigen3=$(usex calligra_features_sheets)
-DBUILD_UNMAINTAINED=$(usex calligra_features_stage)
-ENABLE_CSTESTER_TESTING=$(usex test)
-DWITH_Freetype=$(usex truetype)
)

ecm_src_configure
}

+ 17
- 0
app-office/calligra/files/calligra-3.1.89-no-arch-detection.patch View File

@@ -0,0 +1,17 @@
Avoid automagic CXXFLAG detection courtesy of dev-libs/vc.

Gentoo-bug: 584118

--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -617,10 +617,6 @@
endif()
endmacro()
- if (NOT PACKAGERS_BUILD)
- # Optimize the whole Calligra for current architecture
- set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Vc_DEFINITIONS}")
- endif ()
endif()
set(CMAKE_MODULE_PATH ${OLD_CMAKE_MODULE_PATH} )

BIN
app-portage/Manifest.gz View File


+ 1
- 0
app-portage/gentoolkit/Manifest View File

@@ -1,3 +1,4 @@
DIST gentoolkit-0.4.6.tar.gz 3205641 BLAKE2B 7da91a313c8a9263eb7b4abd6207ece9dd602a5069a87f1e78ada13fc9f396e1f2afddaf0637c473445034cf57b5ca7631e209361a88fa3892d302b20f4cc986 SHA512 3aa3c9af7e994313400607943b9090fd813227ddd6d550b50fbcf7eeb4053da8bcdb41c9ef2579d957d2f279fdcc4e2f2ceca1091c5fd457df4204dd11792d6e
DIST gentoolkit-0.4.7.tar.gz 3205669 BLAKE2B e5f64b85546bc10ad16e7fa42d288965539177375e8796b40df699859efa13fb98bb86aec58e60363c955b2d5e4b2e6379a7597252ee4fdbeec49559de67b328 SHA512 0fab600b4323d23e12009eeb4ade595950880a88b05bcfbfeada1a9b9af615b96d31c568285629bf6e5de7b45ed857bdf98b6261dc54974fbaf70c924e093c76
DIST gentoolkit-0.4.8.tar.gz 3206070 BLAKE2B 7f689ae85136827b8af50401165ccd44bc824e12bec43dad786c7221ec78ee3c1f14d538d197e277a2fedc23f570440f4ec7c0cc707a146814315ff6de48c115 SHA512 689b4229c5d2b6f4440b7d3d57e4b9be5265eead53737890c17dbd0510df287f5c19f86b924735d4ad146d1a500c59a15869b718cbf805b894b0bf115b69f838
DIST gentoolkit-0.5.0.tar.gz 3206598 BLAKE2B a379dcbbaba9d52c241fea020b87c458384e44092539947909e14fd6c63fd9cc06d076b8081874edf17fc50e80fe48ceab3400c90046867dc409e7ac39c17231 SHA512 8a5c344f3a17c4c779abbcaa35b5e3f147106dbc61310d0d1a816ec8080914271fa45c311a8feeb1bfe14195af7cf34c0b29142d6e43e2de232dae96fbd00861

+ 73
- 0
app-portage/gentoolkit/gentoolkit-0.5.0.ebuild View File

@@ -0,0 +1,73 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DISTUTILS_USE_SETUPTOOLS=no
PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
PYTHON_REQ_USE="xml(+),threads(+)"

inherit distutils-r1

DESCRIPTION="Collection of administration scripts for Gentoo"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Portage-Tools"
SRC_URI="https://gitweb.gentoo.org/proj/gentoolkit.git/snapshot/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
IUSE=""

KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"

DEPEND="
sys-apps/portage[${PYTHON_USEDEP}]"
RDEPEND="${DEPEND}
sys-apps/gawk
sys-apps/gentoo-functions"

distutils_enable_tests setup.py

python_prepare_all() {
python_setup
echo VERSION="${PVR}" "${PYTHON}" setup.py set_version
VERSION="${PVR}" "${PYTHON}" setup.py set_version
distutils-r1_python_prepare_all
}

pkg_preinst() {
if has_version "<${CATEGORY}/${PN}-0.4.0"; then
SHOW_GENTOOKIT_DEV_DEPRECATED_MSG=1
fi
}

pkg_postinst() {
# Create cache directory for revdep-rebuild
mkdir -p -m 0755 "${EROOT}"/var/cache
mkdir -p -m 0700 "${EROOT}"/var/cache/revdep-rebuild

if [[ ${SHOW_GENTOOKIT_DEV_DEPRECATED_MSG} ]]; then
elog "Starting with version 0.4.0, ebump, ekeyword and imlate are now"
elog "part of the gentoolkit package."
elog "The gentoolkit-dev package is now deprecated in favor of a single"
elog "gentoolkit package. The remaining tools from gentoolkit-dev"
elog "are now obsolete/unused with the git based tree."
fi

# Only show the elog information on a new install
if [[ ! ${REPLACING_VERSIONS} ]]; then
elog
elog "For further information on gentoolkit, please read the gentoolkit"
elog "guide: https://wiki.gentoo.org/wiki/Gentoolkit"
elog
elog "Another alternative to equery is app-portage/portage-utils"
elog
elog "Additional tools that may be of interest:"
elog
elog " app-admin/eclean-kernel"
elog " app-portage/diffmask"
elog " app-portage/flaggie"
elog " app-portage/install-mask"
elog " app-portage/portpeek"
elog " app-portage/smart-live-rebuild"
fi
}

+ 4
- 5
app-portage/gentoolkit/gentoolkit-9999.ebuild View File

@@ -20,11 +20,14 @@ IUSE=""

KEYWORDS=""

DEPEND="sys-apps/portage[${PYTHON_USEDEP}]"
DEPEND="
sys-apps/portage[${PYTHON_USEDEP}]"
RDEPEND="${DEPEND}
sys-apps/gawk
sys-apps/gentoo-functions"

distutils_enable_tests setup.py

python_prepare_all() {
python_setup
echo VERSION="${PVR}" "${PYTHON}" setup.py set_version
@@ -32,10 +35,6 @@ python_prepare_all() {
distutils-r1_python_prepare_all
}

python_install_all() {
distutils-r1_python_install_all
}

pkg_preinst() {
if has_version "<${CATEGORY}/${PN}-0.4.0"; then
SHOW_GENTOOKIT_DEV_DEPRECATED_MSG=1


BIN
app-text/Manifest.gz View File


+ 7
- 1
app-text/kjots/kjots-5.0.2-r1.ebuild View File

@@ -46,4 +46,10 @@ RDEPEND="${DEPEND}
!app-text/kjots:4
"

PATCHES=( "${FILESDIR}/${P}-kf5bookmarks-5.69.patch" ) # KDE-Bug 384000
src_prepare() {
if has_version ">=kde-frameworks/kbookmarks-5.69"; then
PATCHES+=( "${FILESDIR}/${P}-kf5bookmarks-5.69.patch" ) # KDE-Bug 384000
fi

ecm_src_prepare
}

BIN
app-vim/Manifest.gz View File


+ 1
- 1
app-vim/pydiction/pydiction-1.2.3-r2.ebuild View File

@@ -3,7 +3,7 @@

EAPI=6

PYTHON_COMPAT=( python2_7 python3_6 )
PYTHON_COMPAT=( python2_7 python{3_6,3_7,3_8} )

inherit vim-plugin python-r1



BIN
dev-lang/Manifest.gz View File


+ 9
- 4
dev-lang/yasm/yasm-1.3.0.ebuild View File

@@ -1,11 +1,11 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=5

PYTHON_COMPAT=( python2_7 )

inherit python-r1
inherit python-single-r1

DESCRIPTION="An assembler for x86 and x86_64 instruction sets"
HOMEPAGE="http://yasm.tortall.net/"
@@ -23,7 +23,11 @@ RDEPEND="
DEPEND="
${RDEPEND}
nls? ( sys-devel/gettext )
python? ( >=dev-python/cython-0.14[${PYTHON_USEDEP}] )"
python? ( $(python_gen_cond_dep '>=dev-python/cython-0.14[${PYTHON_USEDEP}]') )"

pkg_setup() {
: # Avoid python-single-r1_pkg_setup
}

src_configure() {
use python && python_setup
@@ -36,5 +40,6 @@ src_configure() {
}

src_test() {
emake check
# https://bugs.gentoo.org/718870
emake -j1 check
}

+ 37
- 21
dev-lang/yasm/yasm-9999.ebuild View File

@@ -1,11 +1,10 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=5

EAPI=7
PYTHON_COMPAT=( python2_7 )

inherit autotools eutils python-r1
inherit autotools eutils python-single-r1

if [[ ${PV} == 9999* ]] ; then
EGIT_REPO_URI="https://github.com/yasm/yasm.git"
@@ -23,24 +22,41 @@ SLOT="0"
IUSE="nls python"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"

RDEPEND="
nls? ( virtual/libintl )
python? ( ${PYTHON_DEPS} )"
DEPEND="
${RDEPEND}
BDEPEND="
nls? ( sys-devel/gettext )
python? ( >=dev-python/cython-0.14[${PYTHON_USEDEP}] )"
python? (
${PYTHON_DEPS}
$(python_gen_cond_dep '>=dev-python/cython-0.14[${PYTHON_USEDEP}]')
)
"
DEPEND="
nls? ( virtual/libintl )
"
RDEPEND="${DEPEND}
python? ( ${PYTHON_DEPS} )
"

if [[ ${PV} == 9999* ]]; then
DEPEND="${DEPEND} ${PYTHON_DEPS} app-text/xmlto app-text/docbook-xml-dtd:4.1.2"
BDEPEND+="
app-text/xmlto
app-text/docbook-xml-dtd:4.1.2
"
fi

pkg_setup() {
: # Avoid python-single-r1_pkg_setup
}

src_prepare() {
default

if ! [[ ${PV} == 9999* ]]; then
sed -i -e 's:xmlto:&dIsAbLe:' configure.ac || die #459940
fi

# ksh doesn't grok $(xxx), makes aclocal fail
sed -i -e '1c\#!/usr/bin/env sh' YASM-VERSION-GEN.sh || die

eautoreconf

if [[ ${PV} == 9999* ]]; then
@@ -49,19 +65,19 @@ src_prepare() {
}

src_configure() {
if [[ ${PV} == 9999* ]]; then
python_setup
else
use python && python_setup
fi
use python && python_setup

econf \
--disable-warnerror \
$(use_enable python) \
$(use_enable python python-bindings) \
local myconf=(
--disable-warnerror
$(use_enable python)
$(use_enable python python-bindings)
$(use_enable nls)
)

econf "${myconf[@]}"
}

src_test() {
emake check
# https://bugs.gentoo.org/718870
emake -j1 check
}

BIN
dev-libs/Manifest.gz View File


+ 1
- 1
dev-libs/xapian-bindings/xapian-bindings-1.4.14.ebuild View File

@@ -3,7 +3,7 @@

EAPI="7"

PYTHON_COMPAT=( python{2_7,3_6} )
PYTHON_COMPAT=( python{2_7,3_6,3_7,3_8} )
PYTHON_REQ_USE="threads(+)"

USE_PHP="php7-1 php7-2 php7-3 php7-4"


+ 1
- 1
dev-libs/xapian-bindings/xapian-bindings-1.4.15.ebuild View File

@@ -3,7 +3,7 @@

EAPI="7"

PYTHON_COMPAT=( python{2_7,3_6} )
PYTHON_COMPAT=( python{2_7,3_6,3_7,3_8} )
PYTHON_REQ_USE="threads(+)"

USE_PHP="php7-1 php7-2 php7-3 php7-4"


+ 71
- 0
dev-perl/AnyEvent/AnyEvent-7.170.0.ebuild View File

@@ -0,0 +1,71 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DIST_AUTHOR=MLEHMANN
DIST_VERSION=7.17
inherit perl-module eutils virtualx

DESCRIPTION="Provides a uniform interface to various event loops"

SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-solaris"

BDEPEND="
>=virtual/perl-ExtUtils-MakeMaker-6.520.0
dev-perl/Canary-Stability
"
PERL_RM_FILES=(
# Requires AnyEvent::AIO form AnyEvent-AIO, not in ::gentoo
t/12_io_ioaio.t
# Requires Fltk from Fl, not in ::gentoo
t/61_fltk_0{1_basic,2_signals,3_child,4_condvar,5_dns,7_io,9_multi}.t
# Requires Cocoa::EventLoop, not in ::gentoo
t/62_cocoa_0{1_basic,2_signals,3_child,4_condvar,5_dns,7_io,9_multi}.t
# Requires IO::Async, not in ::gentoo
t/66_ioasync_0{1_basic,2_signals,3_child,4_condvar,5_dns,7_io,9_multi}.t
# Requires UV, not in ::gentoo
t/70_uv_0{1_basic,2_signals,3_child,4_condvar,5_dns,7_io,9_multi}.t

)
pkg_postinst() {
optfeature "improved event-loop performance" '>=dev-perl/EV-4.0.0'
optfeature "improved performance of Guard objects" '>=dev-perl/Guard-1.20.0'
optfeature "JSON relays over AnyEvent::Handle" '>=dev-perl/JSON-2.90.0' '>=dev-perl/JSON-XS-2.200.0'
optfeature "SSL support for AnyEvent::Handle" '>=dev-perl/Net-SSLeay-1.330.0'
# AnyEvent::AIO
# Async::Interrupts
}
src_test() {
# optional:
# - install dev-perl/glib-perl for Glib for AnyEvent::Impl::Glib
# - install dev-perl/Event for AnyEvent::Impl::Event
# - install dev-perl/Tk for AnyEvent::Impl::Tk
# - install dev-perl/POE for AnyEvent::Impl::POE
# - install dev-perl/EV for AnyEvent::Impl::EV
if ! has "network" ${DIST_TEST_OVERRIDE:-${DIST_TEST:-do parallel}} ||
! has_version "dev-perl/glib-perl" ||
! has_version "dev-perl/Event" ||
! has_version "dev-perl/Tk" ||
! has_version "dev-perl/POE" ||
! has_version "dev-perl/EV"; then
ewarn "This package needs network access and manually installed dependencies"
ewarn "for comprehensive testing. For details, see:"
ewarn "https://wiki.gentoo.org/wiki/Project:Perl/maint-notes/${CATEGORY}/${PN}"
fi
( # export leak guard
export PERL_ANYEVENT_LOOP_TESTS=1

if has "network" ${DIST_TEST_OVERRIDE:-${DIST_TEST:-do parallel}}; then
einfo "Network Tests Enabled"
export PERL_ANYEVENT_NET_TESTS=1
fi
# This loop requires a display to even load the module
if has_version dev-perl/Tk; then
virtx perl-module_src_test
else
perl-module_src_test
fi
)
}

+ 1
- 0
dev-perl/AnyEvent/Manifest View File

@@ -1 +1,2 @@
DIST AnyEvent-7.14.tar.gz 301645 BLAKE2B 5095506e02ae90953d3990609ad77c45d602bd38a696ea054d329ee4e9fb526ac799ba45eb38f274835248d7e593257e7203daf1a7f17d5086f89413b93ddecf SHA512 98e7b9e06cf74b99d3407a25b60f3b825fceed3bae43505e1fb90785e24bd88ae25955cff25d29b4cc96957db7f4f5203d19ad2365abb4e3a3227fd91a16fb25
DIST AnyEvent-7.17.tar.gz 304845 BLAKE2B 162b02080f009595a48b4cb7d205763fa96e97af5f9efbb9f1611bcf365ce3d1ded57d6bb45bd433a11346b12cfabcd1f44dc944bf0c9c1f85abfab355d9a32c SHA512 c553cce80fa14e2f91031c569d1c30acf470871ddd1c122fa3dd36cd1ba5b7002e7ba1dea4c950d889c7c661b81042dd97975e195a5325190ad644babff81e0a

BIN
dev-perl/Manifest.gz View File


BIN
dev-python/Manifest.gz View File


+ 1
- 4
dev-python/autobahn/metadata.xml View File

@@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<remote-id type="pypi">autobahn</remote-id>
</upstream>


+ 1
- 4
dev-python/cbor/metadata.xml View File

@@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<maintainer>
<email>bolson@bolson.org</email>


+ 1
- 0
dev-python/configargparse/Manifest View File

@@ -2,4 +2,5 @@ DIST ConfigArgParse-1.0.gh.tar.gz 26460 BLAKE2B 0dc83125116139e9447da8a9c660ac67
DIST ConfigArgParse-1.1.gh.tar.gz 27134 BLAKE2B 41e76be8932436414b4a159fe7a653594b8a1e5c3d981b2793912893924db18020489a76abbbdd71076650568e4b67b1f56e4d9161c25c5723877cc8781fbb11 SHA512 a4d02d669151087fca799bad4ed2381b7487cd749055f474f17a8b0aa4a6a643d161416510b0ee80427d59c34ce4d17710730f2d23d9b74e853dadb4d8e78260
DIST ConfigArgParse-1.2.1.gh.tar.gz 27797 BLAKE2B e6e8468e15090a2915a3c2a10446c2797553eeee48f61d29218ad4935f24e92aeb4319609450d40fa1e87f9b02e9a8517fa876acf4b20ee4bc35b38daeadf99d SHA512 38fd6be13d0582e453a5d5dee1bf4a295bfe2be10b12535a8a0a597b3b726feee4fe4b27f354441c5fb53bf6b6bc11eca978d9f07c5bced6d2246996711af13f
DIST ConfigArgParse-1.2.2.gh.tar.gz 27854 BLAKE2B 7432d7ab86c8bd0115226a6bad31d797130130887ebb84386434ece41554cdaf503a408ba264a83ba4fcd4f9755e36542e2f481bfa41b82dde16661f913febd1 SHA512 0b7f7264634cf38400f02329ad9d5a557958179d10bd4d92a79f1ed80539dd2f3a7616a6dacd2a442498787c7f12c13a176330b2e3c26a936866d4084eb03c90
DIST ConfigArgParse-1.2.3.gh.tar.gz 27858 BLAKE2B f8dbb1dfc9312107abcd0c715b93736cdb86a7742270932d13b768ac7a13f805902f026d5cb34e196a8c5c659af65c13698c2cc301b522b99bb0c019b2c0e68d SHA512 bfa8f9ca8ab5c6d4cdf2a7e7c577c99fafdf7f743c81057bebbb6045c45de2cdbf5d738f7765e5dcac5a45baa92e2a8bc7ad3879776b9cf4862e3da94e78c4cc
DIST ConfigArgParse-1.2.gh.tar.gz 27780 BLAKE2B aa8e26b871c48b43a5b3527a59c463a4ce982f945f29255aa15d19ffc7e5373efef401d9ecaffdf9059865484e9ab9bd07cc9f36c685675d7d9105b03b1ae1a0 SHA512 50a125e2c03f5ec0ccd843a44109bd065c39cb3a5b72cf0ca0ab361cc1a97de56f2eef0bf04aac2cda4b302ae67cd422bf04c8e09b1bbedca3ae19a28a5f2eb9

+ 30
- 0
dev-python/configargparse/configargparse-1.2.3.ebuild View File

@@ -0,0 +1,30 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

MY_PN="ConfigArgParse"
MY_P="${MY_PN}-${PV}"

PYTHON_COMPAT=( python3_{6,7,8} )

inherit distutils-r1

DESCRIPTION="Drop-in replacement for argparse supporting config files and env variables"
HOMEPAGE="https://github.com/bw2/ConfigArgParse https://pypi.org/project/ConfigArgParse/"
SRC_URI="https://github.com/bw2/ConfigArgParse/archive/${PV}.tar.gz -> ${MY_P}.gh.tar.gz"
S="${WORKDIR}/${MY_P}"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"

BDEPEND="
test? ( dev-python/pyyaml[${PYTHON_USEDEP}] )"

python_test() {
local -x COLUMNS=80
esetup.py test
}

+ 1
- 0
dev-python/elementpath/Manifest View File

@@ -1 +1,2 @@
DIST elementpath-1.4.3.tar.gz 117295 BLAKE2B 4ee29cf6c863c8c73aae26857266e1ac119082c3fa0f3bbb2a807b662f3bca03699e33f3a0043dc486d4de0e5484c5a559adb72681ba38851d02bac2a6093ac2 SHA512 3fb71d0eb333589995d2b4e75e56e001ecb57d7b3930ac6faa55ef8b05823ce3254979d7d27a1e8219487240edcb498bafa3198c212385164312839972e02dd9
DIST elementpath-1.4.4.tar.gz 119577 BLAKE2B 65724afc715dcdb4903779933559e85c833cc262cecf2f53a86fd58e542717dc26137270bde13b5bdfcd81bb768a2dd74d7ed7213ad4292c0a1a2a4771855370 SHA512 39ce9f8e8f0a75690d5ccf5faa7e28113f971015c2baeec8b8f443b568c71154589d36dc2c5a3965eeb1d3d4257f65090cf44078747c7711bc7fc8c9ad051d43

+ 27
- 0
dev-python/elementpath/elementpath-1.4.4.ebuild View File

@@ -0,0 +1,27 @@
# Copyright 2019-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
inherit distutils-r1

DESCRIPTION="XPath 1.0/2.0 parsers and selectors for ElementTree and lxml"
HOMEPAGE="https://github.com/sissaschool/elementpath
https://pypi.org/project/elementpath/"
SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~sparc ~x86"
IUSE="test"
RESTRICT="!test? ( test )"

BDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
dev-python/lxml[${PYTHON_USEDEP}]
dev-python/xmlschema[${PYTHON_USEDEP}]
)"

distutils_enable_tests unittest

+ 2
- 2
dev-python/flexmock/flexmock-0.10.4.ebuild View File

@@ -3,12 +3,12 @@

EAPI=7

PYTHON_COMPAT=( python3_{6,7} )
PYTHON_COMPAT=( python3_{6,7,8} pypy3 )

inherit distutils-r1

DESCRIPTION="Testing library to create mocks, stubs and fakes"
HOMEPAGE="http://flexmock.readthedocs.org/"
HOMEPAGE="https://flexmock.readthedocs.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"

LICENSE="BSD"


+ 0
- 2
dev-python/fuse-python/Manifest View File

@@ -1,3 +1 @@
DIST fuse-python-0.2.1.tar.gz 57833 BLAKE2B 99da322bfbfec193d2e4dfacedfd4e08a885152d1f1ceac19f49288be642c722d7776208dfdef5019b28a03cc00432e898744345041a7d615582c34668fb47a6 SHA512 f89c738352ca23e92b5c0222dde0a13bbee4d86432e9c339080203ed5bf4f885c42a0a3a252ed485f26b569d87e68dc0d78c55d8f7b2f3ce0cbac8afb251bdaa
DIST fuse-python-0.3.1.tar.gz 45391 BLAKE2B c89d53bc99dc203cb56288ab36ebc6acfa1f5f7a21e10ff6aa12cb601a363d50b06b361ee17310c55a886592b13c789af4f5e86592b7f7af103fd56aefa6402e SHA512 88c01c1f9ca3cd9738711a621b782ec190adaf068a79fdea2c362d865c38fea73706dab48b8346b21502d6b4d404403a261f96e2570254809976a3018060e188
DIST fuse-python-1.0.0.tar.gz 46275 BLAKE2B 109202ed60df82a1a637a02627657c27ef48e55225c099385ec4d74554912d89dfd6238922a7588ff8de27e4c700a3b3832e204455997375dc67f6ca36590ae7 SHA512 d5e91be3e43065988053390d97ca6483ce38924bf9a49f694bf911080b7e75c836224e83d09dcbc6fab8d63781b4cd3ae016d66b65b88dd53106b06f91a6ad5c

+ 0
- 20
dev-python/fuse-python/fuse-python-0.2.1-r1.ebuild View File

@@ -1,20 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=5

PYTHON_COMPAT=( python2_7 )

inherit distutils-r1

KEYWORDS="amd64 x86"
DESCRIPTION="Python FUSE bindings"
HOMEPAGE="https://github.com/libfuse/python-fuse"

SRC_URI="mirror://sourceforge/fuse/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
IUSE=""

RDEPEND=">=sys-fs/fuse-2.0"
DEPEND="${RDEPEND}"

+ 0
- 26
dev-python/fuse-python/fuse-python-0.3.1.ebuild View File

@@ -1,26 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python2_7 python3_{6,7} )

inherit distutils-r1

DESCRIPTION="Python FUSE bindings"
HOMEPAGE="https://github.com/libfuse/python-fuse"
SRC_URI="https://github.com/libfuse/python-fuse/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"

RDEPEND="sys-fs/fuse:0="

DEPEND="
${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"

BDEPEND="virtual/pkgconfig"

S="${WORKDIR}/python-fuse-${PV}"

+ 1
- 4
dev-python/girder-client/metadata.xml View File

@@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Gentoo Python Project</name>
</maintainer>
<!-- maintainer-needed -->
<longdescription lang="en">
Set of python libraries and a command-line tool that can
be used to interact with the REST API of a Girder server.


+ 1
- 0
dev-python/hypothesis/Manifest View File

@@ -2,3 +2,4 @@ DIST hypothesis-python-4.50.8.tar.gz 6814518 BLAKE2B f2c39cae3708fe88d1854cda976
DIST hypothesis-python-4.57.1.tar.gz 9005030 BLAKE2B 3d318896cbe2d24fa6847e764a109791d3acf3821852f8e170991b0be5b069f166e16bdacf7a82fbe49bd9db5188315cdec7cdb4592647571233949ec5732991 SHA512 28622ce8a1d89d09df65f3fbf7e92a1ad98dac140ab646fe11fcb15e6aa9a9672eb51d459f984384d92b819f902de911b06cec2542582d529dd556d2f99ed952
DIST hypothesis-python-5.10.2.tar.gz 9006040 BLAKE2B 7ea925988ba600f59e48fcd18b85aaa2bec5a3f2a279b19be959e03fdf61e5c4ce75a781e70aa9138db86637f16fbb5d82118e7501f1d1c785345ecf7c5d1568 SHA512 a83bb6f368706ad3d31fc7cf4b4b3d27937dc540d6f44f592bfbd7f4380e045b6c71a08c5c977a4a3e16ac9b20f16caabb775cb387ce2576193d133acfa3773e
DIST hypothesis-python-5.10.3.tar.gz 9006973 BLAKE2B dd7669c159aad1a8228e85b50e6362129a0cdbb6aea3715e8583b4896de18def8de1ec4fda878517fc2dac8694dbbd6106f65cbfda81801469efbc3569ccd491 SHA512 708361d3fb7cdf1cf030711175fd6ea2d936d781967ab3c53c816085099f487c918506b98d724465c7df75df3a07e65a1b59d4ccc73c7730be071ccfc878f7e0
DIST hypothesis-python-5.10.4.tar.gz 9007617 BLAKE2B 47e82ae1deae77f1d658093ae6578a70371792468185691bb5a6efa12349eb0df4511e19167fa89593a6af63d93ac6cae8bdd21048e87d952f3b351cf44677f0 SHA512 a22613ddb3d5bb9c038765e75269ff2e4b6351d6eac64267ad2f9ec6add0293ef21143ac9a0af20f2d858a0226e977ffca40e0b2929e92876fa702695d94b3fd

+ 56
- 0
dev-python/hypothesis/hypothesis-5.10.4.ebuild View File

@@ -0,0 +1,56 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
PYTHON_REQ_USE="threads(+),sqlite"

inherit distutils-r1 eutils

DESCRIPTION="A library for property based testing"
HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"

LICENSE="MPL-2.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"

RDEPEND="
>=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
>=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
${RDEPEND}
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
>=dev-python/pytest-5.3.5[${PYTHON_USEDEP}]
!!<dev-python/typing-3.7.4.1
)
"

src_prepare() {
# avoid pytest-xdist dep for one test
sed -i -e 's:test_prints_statistics_given_option_under_xdist:_&:' \
tests/pytest/test_statistics.py || die
distutils-r1_src_prepare
}

python_test() {
pytest -vv tests/cover tests/pytest tests/quality ||
die "Tests fail with ${EPYTHON}"
}

pkg_postinst() {
optfeature "datetime support" dev-python/pytz
optfeature "dateutil support" dev-python/python-dateutil
optfeature "numpy support" dev-python/numpy
optfeature "django support" dev-python/django dev-python/pytz
optfeature "pandas support" dev-python/pandas
optfeature "pytest support" dev-python/pytest
}

+ 1
- 4
dev-python/kazoo/metadata.xml View File

@@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<remote-id type="pypi">kazoo</remote-id>
<remote-id type="github">python-zk/kazoo</remote-id>


+ 1
- 4
dev-python/libcloud/metadata.xml View File

@@ -1,8 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<!-- maintainer-needed -->
</pkgmetadata>

+ 1
- 4
dev-python/logbook/metadata.xml View File

@@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<remote-id type="pypi">Logbook</remote-id>
<remote-id type="github">mitsuhiko/logbook</remote-id>


+ 0
- 3
dev-python/matterhook/metadata.xml View File

@@ -4,9 +4,6 @@
<maintainer type="person">
<email>ultrabug@gentoo.org</email>
</maintainer>
<maintainer type="person">
<email>monsieurp@gentoo.org</email>
</maintainer>
<upstream>
<remote-id type="github">numberly/matterhook</remote-id>
</upstream>


+ 1
- 1
dev-python/neovim-remote/neovim-remote-2.2.1.ebuild View File

@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=( python3_{6,7} )
PYTHON_COMPAT=( python3_{6,7,8} )

inherit distutils-r1



+ 1
- 1
dev-python/neovim-remote/neovim-remote-9999.ebuild View File

@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2

EAPI=6
PYTHON_COMPAT=( python3_6 )
PYTHON_COMPAT=( python3_{6,7,8} )

inherit distutils-r1



+ 1
- 1
dev-python/paste/paste-3.2.3.ebuild View File

@@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris"
IUSE="flup openid"

RDEPEND="dev-python/namespace-paste[${PYTHON_USEDEP}]


+ 1
- 1
dev-python/pylibacl/pylibacl-0.5.3.ebuild View File

@@ -3,7 +3,7 @@

EAPI=7

PYTHON_COMPAT=( python2_7 python3_{6,7,8} )
PYTHON_COMPAT=( python3_{6,7,8} )

inherit distutils-r1



+ 1
- 1
dev-python/pylibacl/pylibacl-0.5.4.ebuild View File

@@ -3,7 +3,7 @@

EAPI=7

PYTHON_COMPAT=( python2_7 python3_{6,7,8} )
PYTHON_COMPAT=( python3_{6,7,8} )

inherit distutils-r1



+ 1
- 1
dev-python/pyxattr/pyxattr-0.6.0-r1.ebuild View File

@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2

EAPI=6
PYTHON_COMPAT=( python2_7 python3_{6,7} )
PYTHON_COMPAT=( python3_{6,7} )

inherit distutils-r1 eutils



+ 1
- 1
dev-python/pyxattr/pyxattr-0.6.1-r1.ebuild View File

@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=( python2_7 python3_{6,7,8} pypy3 )
PYTHON_COMPAT=( python3_{6,7,8} pypy3 )

inherit distutils-r1 eutils



+ 1
- 1
dev-python/pyxattr/pyxattr-0.6.1.ebuild View File

@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=( python2_7 python3_{6,7} )
PYTHON_COMPAT=( python3_{6,7} )

inherit distutils-r1 eutils



+ 1
- 0
dev-python/ruamel-yaml-clib/Manifest View File

@@ -0,0 +1 @@
DIST ruamel.yaml.clib-0.2.0.tar.gz 178084 BLAKE2B a4d23e5c931a0c720edb80818ca11bfcc1638f28ec910878f53720139bd8fbd034de6db73154c0e758ceb6c5233c10a2bf7d779f8e7f4a134c8b07cc33382a1b SHA512 7d716e27963b97a1735ba7ff0e581f7ecdfa62725cc42def59ad0ccdf9e23a9f7dfbc3cac298bb3e29362535036b07ba0f523452d6f73248be53c69796637e34

+ 20
- 0
dev-python/ruamel-yaml-clib/metadata.xml View File

@@ -0,0 +1,20 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>marecki@gentoo.org</email>
<name>Marek Szuba</name>
</maintainer>
<longdescription>
This package was split of from ruamel.yaml, so that ruamel.yaml can be
built as a universal wheel. Apart from the C code seldom changing, and
taking a long time to compile for all platforms, this allows
installation of the .so on Linux systems under /usr/lib64/pythonX.Y
(without a .pth file or a ruamel directory) and the Python code for
ruamel.yaml under /usr/lib/pythonX.Y.
</longdescription>
<upstream>
<remote-id type="pypi">ruamel.yaml.clib</remote-id>
<remote-id type="sourceforge">ruamel-yaml-clib</remote-id>
</upstream>
</pkgmetadata>

+ 28
- 0
dev-python/ruamel-yaml-clib/ruamel-yaml-clib-0.2.0.ebuild View File

@@ -0,0 +1,28 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{6,7,8} )
DISTUTILS_USE_SETUPTOOLS=rdepend

inherit distutils-r1

MY_PN="${PN//-/.}"
MY_P="${MY_PN}-${PV}"

DESCRIPTION="C-based reader/scanner and emitter for dev-python/ruamel-yaml"
HOMEPAGE="https://pypi.org/project/ruamel.yaml.clib/ https://sourceforge.net/p/ruamel-yaml-clib"
SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"

RDEPEND="!<dev-python/ruamel-yaml-0.16.0"

S="${WORKDIR}"/${MY_P}

python_install() {
distutils-r1_python_install --single-version-externally-managed
}

+ 0
- 1
dev-python/snakeoil/Manifest View File

@@ -1,2 +1 @@
DIST snakeoil-0.7.5.tar.gz 303270 BLAKE2B 66d00cf50c8efd73d765904b9c7e8ba725caef9608e68f5707ddc09358507fe64214af73b333ec5bee2ef950d8dbad474cb5d9e4412757bc3c82d75909f6fc23 SHA512 b9f6efce2e3f5df83248b1faa84493aa11d8a08935e3991a56daace96e0de39dd5c7d25a69a4394f7ba163de78ed56a2619ef64c33114128fc02052d676a86a5
DIST snakeoil-0.8.8.tar.gz 296519 BLAKE2B 5a5f6326d01874b46a5cb85f5370217f4f3dfd5743679280f1f59737567cd5d79deb945be847fd3cd47ff0ed67cc836d2a3e53c4aefbe8080da767f380295538 SHA512 ea1ff6ea45c9f5fc3bc539cc65031050093cc1fbdda869b7160b286dcf3233577ca297ab55ee3d7ee4253c5485f9e956e14ee2a97bfb88680811d1b8af6cd62d

+ 0
- 36
dev-python/snakeoil/snakeoil-0.7.5.ebuild View File

@@ -1,36 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6
PYTHON_COMPAT=( python{2_7,3_6,3_7} )
PYTHON_REQ_USE="threads(+)"
inherit distutils-r1

if [[ ${PV} == *9999 ]] ; then
EGIT_REPO_URI="https://github.com/pkgcore/snakeoil.git"
inherit git-r3
else
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86"
SRC_URI="https://github.com/pkgcore/snakeoil/releases/download/v${PV}/${P}.tar.gz"
fi

DESCRIPTION="misc common functionality and useful optimizations"
HOMEPAGE="https://github.com/pkgcore/snakeoil"

LICENSE="BSD"
SLOT="0"
IUSE="test"
RESTRICT="!test? ( test )"

DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/mock[${PYTHON_USEDEP}] )"
[[ ${PV} == 9999 ]] && DEPEND+=" $(python_gen_cond_dep 'dev-python/cython[${PYTHON_USEDEP}]' 'python3*')"

python_configure_all() {
# disable snakeoil 2to3 caching
unset PY2TO3_CACHEDIR
}

python_test() {
esetup.py test
}

+ 1
- 1
dev-python/tappy/tappy-2.4-r1.ebuild View File

@@ -14,7 +14,7 @@ S=${WORKDIR}/${MY_PN}-${PV}

LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 sparc ~x86"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 sparc x86"
IUSE="yaml"

RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]


+ 41
- 33
dev-python/twisted/twisted-19.10.0.ebuild View File

@@ -6,7 +6,7 @@ EAPI=7
PYTHON_COMPAT=( python2_7 python3_{6,7,8} )
PYTHON_REQ_USE="threads(+)"

inherit distutils-r1
inherit distutils-r1 virtualx

TWISTED_PN="Twisted"
TWISTED_P="${TWISTED_PN}-${PV}"
@@ -82,46 +82,54 @@ DEPEND="
S=${WORKDIR}/${TWISTED_P}

python_prepare_all() {
# No allowed tests are garaunteed to work on py3.5 or py3.8
if use test ; then
# Remove since this is an upstream distribution test for making releases
rm src/twisted/python/test/test_release.py || die "rm src/twisted/python/test/test_release.py FAILED"

# Remove these as they are known to fail -- fix (py2.7 - py3.6)
rm src/twisted/conch/test/test_ckeygen.py || die "rm src/twisted/conch/test/test_ckeygen.py FAILED"
rm src/twisted/pair/test/test_tuntap.py || die "rm src/twisted/pair/test/test_tuntap.py FAILED"
rm src/twisted/test/test_log.py || die "rm src/twisted/test/test_log.py FAILED"
# upstream test for making releases; not very useful and requires
# sphinx (including on py2)
rm src/twisted/python/test/test_release.py || die

# puts system in EMFILE state, then the exception handler may fail
# trying to open more files due to some gi magic
sed -e '/SKIP_EMFILE/s:None:"Fails on non-pristine systems":' \
-i src/twisted/internet/test/test_tcp.py || die

# TODO: times out, i can't find where to increase the timeout
sed -e 's:test_manyProcesses:_&:' \
-i src/twisted/test/test_process.py || die

# multicast tests fail within network-sandbox
sed -e 's:test_joinLeave:_&:' \
-e 's:test_loopback:_&:' \
-e 's:test_multiListen:_&:' \
-e 's:test_multicast:_&:' \
-i src/twisted/test/test_udp.py || die

# accesses /dev/net/tun
sed -e '/class RealDeviceTestsMixin/a\
skip = "Requires extra permissions"' \
-i src/twisted/pair/test/test_tuntap.py || die

# TODO: figure it out, probably doesn't accept DST date here
sed -e 's:test_getTimezoneOffsetWithoutDaylightSavingTime:_&:' \
-i src/twisted/test/test_log.py || die

# TODO: failures specific to Python 2
sed -e 's:testLookupProcNetTcp:_&:' \
-i src/twisted/test/test_ident.py || die
sed -e 's:test_loggingFactoryOpensLogfileAutomatically:_&:' \
-i src/twisted/test/test_policies.py || die

# This test fails only on py3.7
rm src/twisted/internet/test/test_process.py || die " rm src/twisted/internet/test/test_process.py FAILED"
fi
distutils-r1_python_prepare_all
}

src_test() {
virtx distutils-r1_src_test
}

python_test() {
# TODO: upstream seems to override our build paths
distutils_install_for_testing

# workaround for the eclass not installing the entry points
# in the test environment. copy the old 16.3.2 start script
# to run the tests with
cp "${FILESDIR}"/trial "${TEST_DIR}" || die
chmod +x "${TEST_DIR}"/trial || die

pushd "${TEST_DIR}" > /dev/null || die

if ! "${TEST_DIR}"/trial twisted; then
"${EPYTHON}" -m twisted.trial twisted ||
die "Tests failed with ${EPYTHON}"
fi

if ! "${TEST_DIR}"/trial twisted.test.test_twistd.DaemonizeTests; then
die "DaemonizeTests failed with ${EPYTHON}"
fi

if ! "${TEST_DIR}"/trial twisted.test.test_reflect.SafeStrTests; then
die "SafeStrTests failed with ${EPYTHON}"
fi

popd > /dev/null || die
}

python_install() {


BIN
dev-util/Manifest.gz View File


+ 0
- 1
dev-util/catalyst/Manifest View File

@@ -1,2 +1 @@
DIST catalyst-3.0.8.tar.bz2 873610 BLAKE2B af6fca5dd8dea377795d1b50b942773b0cb8383e1727ba547f1511f126ad4f1494d64ca3d4b3e479664de366e8ed2f8ad8c09c206bbd213d6f95aa51ae56ea8c SHA512 b00a31d9af9b3c1d220080eb6068c924f6ca9f4d574f4805f2b833e61e0fdb79290ec6f5b190c0c7501e015068eb756ede6aea7a959d2e22cef8a055968b7203
DIST catalyst-3.0.9.tar.bz2 873866 BLAKE2B 293a4d52c57e73269f1f82fed8ea72934a0f939b3b9d4fb9943f4971fd4155edecc6cf0170b917eba16f0125aac9861041b7e10f85f6110a35659a2f85fd3665 SHA512 c8c25ad1c76b0040bd84b491909d364306746c660afbbb8c6a074911779aabe89b60a12cc3ac5b9cd3398bdf8986b50d24d9979c3d12d2fa9de66ebf62ded309

+ 0
- 68
dev-util/catalyst/catalyst-3.0.8.ebuild View File

@@ -1,68 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

if [[ ${PV} == *9999* ]]; then
SRC_ECLASS="git-r3"
EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/catalyst.git"
EGIT_BRANCH="master"
else
SRC_URI="https://gitweb.gentoo.org/proj/catalyst.git/snapshot/${P}.tar.bz2"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv s390 sparc x86"
fi

PYTHON_COMPAT=( python3_{6,7,8} )

inherit distutils-r1 ${SRC_ECLASS}

DESCRIPTION="Release metatool used for creating releases based on Gentoo Linux"
HOMEPAGE="https://wiki.gentoo.org/wiki/Catalyst"

LICENSE="GPL-2"
SLOT="0"
IUSE="ccache doc +iso kernel_linux system-bootloader"

DEPEND="
app-text/asciidoc
>=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
"
RDEPEND="
>=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
>=dev-python/pydecomp-0.3[${PYTHON_USEDEP}]
app-arch/lbzip2
app-crypt/shash
sys-fs/dosfstools
!kernel_FreeBSD? ( || ( app-arch/tar[xattr] app-arch/libarchive[xattr] ) )
kernel_FreeBSD? ( app-arch/libarchive[xattr] )
amd64? ( >=sys-boot/syslinux-3.72 )
x86? ( >=sys-boot/syslinux-3.72 )
ccache? ( dev-util/ccache )
iso? ( virtual/cdrtools )
kernel_linux? ( app-misc/zisofs-tools >=sys-fs/squashfs-tools-2.1 )
"
PDEPEND="system-bootloader? ( >=sys-apps/memtest86+-5.01-r4
sys-boot/grub:2
amd64? ( sys-boot/grub[grub_platforms_efi-32,grub_platforms_efi-64] )
x86? ( sys-boot/grub[grub_platforms_efi-32] )
sys-boot/syslinux
sys-boot/shim )"

python_prepare_all() {
python_setup
echo VERSION="${PV}" "${PYTHON}" setup.py set_version
VERSION="${PV}" "${PYTHON}" setup.py set_version || die
distutils-r1_python_prepare_all
}

python_compile_all() {
# build the man pages and docs
emake
}

python_install_all() {
distutils-r1_python_install_all
if use doc; then
dodoc files/HOWTO.html files/docbook-xsl.css
fi
}

+ 1
- 1
dev-util/catalyst/catalyst-3.0.9.ebuild View File

@@ -9,7 +9,7 @@ if [[ ${PV} == *9999* ]]; then
EGIT_BRANCH="master"
else
SRC_URI="https://gitweb.gentoo.org/proj/catalyst.git/snapshot/${P}.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv s390 sparc x86"
fi

PYTHON_COMPAT=( python3_{6,7,8} )


+ 48
- 15
dev-util/catalyst/catalyst-9999.ebuild View File

@@ -24,30 +24,63 @@ LICENSE="GPL-2"
SLOT="0"
IUSE="ccache doc +iso kernel_linux system-bootloader"

COMMON_DEPEND="
>=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
dev-python/toml[${PYTHON_USEDEP}]
"
DEPEND="
${COMMON_DEPEND}
app-text/asciidoc
>=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
"
RDEPEND="
>=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
${COMMON_DEPEND}
>=dev-python/pydecomp-0.3[${PYTHON_USEDEP}]
app-arch/lbzip2